Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Class ValidationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.eclipse.hyades.logging.events.cbe.EventException
                        |
                        +--org.eclipse.hyades.logging.events.cbe.ValidationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MissingPropertyException

public class ValidationException
extends EventException

Exception thrown by `validate` methods to indicate that a class representing an element of the CBE specification does not conform to that specification.

Since:
  1.0.1
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.eclipse.hyades.logging.events.cbe.EventException
`file, key, parms`

Constructor Summary
`ValidationException()` Simple constructor.
`ValidationException(java.lang.String msg)` Constructs a `ValidationException` with the specified detail message.
`ValidationException(java.lang.String key, java.lang.String file)` Creates a `ValidationException` with a detail message, message translation information (resource bundle, message key and message substitutions).
`ValidationException(java.lang.String key, java.lang.String file, java.lang.Object[] parms)` Creates a `ValidationException` with a detail message, message translation information (resource bundle, message key and message substitutions).
`ValidationException(java.lang.String key, java.lang.String file, java.lang.Object[] parms, java.lang.Throwable cause)` Creates a `ValidationException` with a detail message, message translation information (resource bundle, message key and message substitutions) and a nested exception.

Methods inherited from class org.eclipse.hyades.logging.events.cbe.EventException
`getCause, getKey, getLocalizedMessage, getLocalizedMessage, getMessage, initCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidationException

    public ValidationException()

  Simple constructor.

### ValidationException

    public ValidationException(java.lang.String msg)

  Constructs a `ValidationException` with the specified detail message.

Parameters:
  `msg` - the detail message

### ValidationException

    public ValidationException(java.lang.String key,
                               java.lang.String file)

  Creates a `ValidationException` with a detail message, message translation information (resource bundle, message key and message substitutions).

Parameters:
  `key` - The message key.
  `file` - The name of the message file to use.

### ValidationException

    public ValidationException(java.lang.String key,
                               java.lang.String file,
                               java.lang.Object[] parms)

  Creates a `ValidationException` with a detail message, message translation information (resource bundle, message key and message substitutions).

Parameters:
  `key` - The message key.
  `file` - The name of the message file to use.
  `parms` - An array of elements to be inserted into the message.

### ValidationException

    public ValidationException(java.lang.String key,
                               java.lang.String file,
                               java.lang.Object[] parms,
                               java.lang.Throwable cause)

  Creates a `ValidationException` with a detail message, message translation information (resource bundle, message key and message substitutions) and a nested exception.

Parameters:
  `key` - The message key.
  `file` - The name of the message file to use.
  `parms` - An array of elements to be inserted into the message.
  `cause` - The nested exception, or `null`, if a nested exception is not appropriate.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD